<mat-card [appearance]="'outlined'" class="mt-3">
    <mat-card-content>
        <div *ngFor="let element of elements; index as index">
            <mat-divider *ngIf="index > 0" class="mt-3 mb-3"></mat-divider>
            <div>
                <mat-form-field>
                    <mat-label>Identifier</mat-label>
                    <input matInput [(ngModel)]="element.identifier">
                </mat-form-field>
            </div>
            <div>
                <mat-form-field>
                    <mat-label>Display name</mat-label>
                    <input matInput [(ngModel)]="element.displayName">
                </mat-form-field>
            </div>
            <div>
                <mat-form-field>
                    <mat-label>Description</mat-label>
                    <textarea matInput [(ngModel)]="element.description"></textarea>
                </mat-form-field>
            </div>
            <app-type-selector (dataTypeChange)="element.dataType = $event; emitStructureDataType()"></app-type-selector>
        </div>
        <div *ngIf="elements.length == 0">
            <p>Add an element to the structure to get started</p>
        </div>
        <div class="mt-3">
            <button mat-raised-button color="primary" (click)="addStructureElement()" class="me-3">Add element</button>
            <button mat-raised-button color="primary" (click)="removeStructureElement()" [disabled]="elements.length == 0">Remove element</button>
        </div>
    </mat-card-content>
</mat-card>